> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flyskye.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a booking

> Status, PNR, route, total paid and refund state. Scope `search`.



## OpenAPI

````yaml /api-reference/openapi.yaml get /bookings/{ref}
openapi: 3.1.0
info:
  title: Skye Flights API
  version: '1.0'
  description: Search and book real flights for your users. Skye is the Merchant of Record.
servers:
  - url: https://api.flyskye.ai/v1
security:
  - accessToken: []
tags:
  - name: Authentication
  - name: Flights
  - name: Booking sessions
  - name: Payments
  - name: Bookings
paths:
  /bookings/{ref}:
    get:
      tags:
        - Bookings
      summary: Get a booking
      description: Status, PNR, route, total paid and refund state. Scope `search`.
      parameters:
        - $ref: '#/components/parameters/BookingRef'
      responses:
        '200':
          description: The booking.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Booking'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    BookingRef:
      name: ref
      in: path
      required: true
      description: The Skye booking id or the PNR.
      schema:
        type: string
  schemas:
    Booking:
      type: object
      properties:
        bookingId:
          type: string
        status:
          type: string
          example: confirmed
        pnr:
          type:
            - string
            - 'null'
          example: ABC123
        route:
          type: object
          properties:
            origin:
              type: string
            destination:
              type: string
            departDate:
              type: string
              format: date
            returnDate:
              type:
                - string
                - 'null'
              format: date
        total:
          type: object
          properties:
            amount:
              type: number
            currency:
              type: string
        refund:
          type:
            - object
            - 'null'
          description: Set after a cancellation.
          properties:
            state:
              type: string
              enum:
                - refunded
                - pending
                - failed
                - noncash
                - cancelled
                - unknown
            amount:
              type:
                - number
                - 'null'
            currency:
              type: string
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: invalid_request
            message:
              type: string
              example: departDate cannot be in the past
            field:
              type: string
              example: departDate
  responses:
    NotFound:
      description: No such session or booking for your account.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    accessToken:
      type: http
      scheme: bearer
      description: An access token (`sat_...`) from `POST /token`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.